Z8530_READ_PORT(9)

NAME
z8530_read_port - Architecture specific interface function

SYNOPSIS

int z8530_read_port(unsigned long p);

ARGUMENTS

p
    port to read

DESCRIPTION

Provided port access methods. The Comtrol SV11 requires no delays between accesses and uses PC I/O. Some drivers may need a 5uS delay

In the longer term this should become an architecture specific section so that this can become a generic driver interface for all platforms. For now we only handle PC I/O ports with or without the dread 5uS sanity delay.

The caller must hold sufficient locks to avoid violating the horrible 5uS delay rule.

AUTHOR

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT